Package twisted :: Package im :: Module interfaces :: Class IGroup |
[frames | no frames]

## Class IGroup

    Interface --+
                |
               IGroup

A group which you may have a conversation with.

Groups generally have a loosely-defined set of members, who may leave and join at any time.

Method Summary
| ``__init__`(self, name, account)` Initialize me.
| `join(self)`
| ``leave`(self)` Depart this group
| ``sendGroupMessage`(self, text, metadata)` Send a message to this group.
| ``setTopic`(self, text)` Set this Groups topic on the server.

Instance Variable Summary
Account<IAccount> | `account`: The account I am accessed through.
string | `name`: My name, as the server knows me.

Method Details

### __init__(self, name, account) (Constructor) Initialize me. Parameters: `name` - My name, as the server knows me. (type=string) `account` - The account I am accessed through. (type=Account<IAccount>)

### leave(self) Depart this group

### sendGroupMessage(self, text, metadata=None)
    Send a message to this group.

    @type text: string

    @type metadata: dict
    @param metadata: Valid keys for this dictionary include:

        style: associated with one of:
            emote: indicates this is an action

### setTopic(self, text) Set this Groups topic on the server. Parameters: `text` (type=string)

Instance Variable Details

### account The account I am accessed through. Type: Account<IAccount>

### name My name, as the server knows me. Type: string

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net